#include "Mix/Tool/Win32/Core/Dynamics/SphereShape.h"

#include <vector>

namespace Mix{ namespace Tool{ namespace Win32{ namespace Dynamics{

void SphereShape::GetParam(	const D3DXVECTOR3& halfExtents, float& radius )
{
	radius = 0.001f;

	if( radius < halfExtents.x ) { radius = halfExtents.x; }
	if( radius < halfExtents.y ) { radius = halfExtents.y; }
	if( radius < halfExtents.z ) { radius = halfExtents.z; }
}

}}}}
